import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        size?: string | undefined;
        role?: string | undefined;
        variation?: "black" | "color" | "icon" | "white" | undefined;
        ariaLabel?: string | undefined;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        focus: FocusEvent;
        blur: FocusEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
        mouseout: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CrptProps = typeof __propDef.props;
export type CrptEvents = typeof __propDef.events;
export type CrptSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://svelte-cryptocurrency-icons.vercel.app)
 * ## Props
 * @prop export let size: string = ctx.size || '32';
 * @prop export let role: string = ctx.role || 'img';
 * @prop export let variation: 'black' | 'color' | 'icon' | 'white' = ctx.variation || 'color';
 * @prop export let ariaLabel = 'crpt';
 */
export default class Crpt extends SvelteComponentTyped<CrptProps, CrptEvents, CrptSlots> {
}
export {};
